#topbar {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
}

.hidden {
  opacity: 0% !important;
  z-index: -1000 !important;
}

#midspace {
  height: 500px;
  display: flex;
}

#rollspace {
  width: 80%;
  height: 100%;
}

#dicequeue {
  width: 20%;
  height: 100%;

  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}

#cards {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.card {
  height: 200px;
  width: 120px;

  border: 3px solid black;
  border-radius: 5px;

  margin: 10px;
  padding: 5px;

  background-color: #345;
}

.card:hover {
  background-color: #444;
}

.card-upside-down * {
  opacity: 0%;
}

.card-discarded {
  opacity: 50%;
}

.card-title {
  font-weight: bold;
  text-shadow: 1px 1px black;
}

.card-level {
  font-style: italic;
}

.rarity-normal {
  color: #fff;
}

.rarity-uncommon {
  color: #0a0;
}

.rarity-rare {
  color: #0aa;
}

.rarity-epic {
  color: #a0a;
}

.rarity-legendary {
  color: #aa0;
}

#modal-backdrop {
  z-index: 1000;
  opacity: 50%;
  background-color: #000;
  position: absolute;
  height: 100%;
  width: 100%;
  left: 0px;
  top: 0px;
}

#upgrade-card-dialog {
  z-index: 1001;
  background-color: #fff;
  border: 3px solid black;
  border-radius: 5px;

  height: 30%;
  width: 50%;

  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

#upgrade-card-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: center;
}